//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 05: OpenMp
//
//  Description: Simple examples  in openMP
//  	pi03.c:
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc pi03.c -o pi03 -fopenmp
Executing:	./pi03

*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <omp.h>
#include <math.h>


// **************************************************************
int main(void)
{
	unsigned int x[10] ;


#pragma omp parallel for 
	for( int i = 0 ; i < 10 ; i++ ) 
		x[i] = rand() ;

	for( int i = 0 ; i < 10 ; i++ ) 
	printf( "%d\n", x[i] ) ;
	return 0 ;
}
